Bug 58476 - Adding a signature to a document already signed by MS Word invalidates the MS Word signature
Summary: Adding a signature to a document already signed by MS Word invalidates the MS...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact: Florian Reisinger
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Digital-Signatures
  Show dependency treegraph
 
Reported: 2012-12-18 18:43 UTC by Chris Rae [MSFT]
Modified: 2017-01-31 10:22 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
File signed by MS Word (result of step 7 in the repro steps) (6.62 KB, application/vnd.oasis.opendocument.text)
2012-12-18 18:43 UTC, Chris Rae [MSFT]
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rae [MSFT] 2012-12-18 18:43:55 UTC
Created attachment 71744 [details]
File signed by MS Word (result of step 7 in the repro steps)

Using LibreOffice to add a signature to a document that has already been signed by someone in MS Word invalidates the (still-valid) original signature.

Steps (note that a file is attached which allows you to skip steps 1-7):

1) Boot MS Word
2) Hit Escape (Create default document)
3) File -> Info -> Protect Document -> Add a Digital signature
4) Save file as ODF format (.odt)
5) Choose an RSA certificate that uses a SHA1 hash (DSA is fine too)
6) Click Sign
7) Exit MS Word
8) Open document in LibreOffice
9) Under File menu, click Digital Signatures
10) Notice they're considered valid
11) Now click "Sign Document" button and add a digital signature using a SHA1 cert
12) Observe invalid original signature

It seems that this might be happening because LibreOffice is rewriting the XML for the MS Word signature, but omitting the Type attribute on the Reference element.
Comment 1 Chris Rae [MSFT] 2012-12-18 18:46:46 UTC
This is also filed for OpenOffice.org (https://issues.apache.org/ooo/show_bug.cgi?id=121505).
Comment 2 Florian Reisinger 2013-04-21 14:21:49 UTC
Hmm, seems the other way round this time...

On saving LibreOffice says, that Didital Signitures get deleted, because I changed soemthing. No error message... No way to tell, what happens behind the scenes. (Someone tested it with 3.4.6 @issues.apache.org -> AND confirmed it)
Comment 3 QA Administrators 2015-04-19 03:21:34 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   *Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1 or later)
   https://www.libreoffice.org/download/

   *If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
   *If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   *Update the version field
   *Reply via email (please reply directly on the bug tracker)
   *Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results. 
4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-04-18